cascading.management.annotation

## Interface Sanitizer

- All Known Implementing Classes:
    URISanitizer

      public interface Sanitizer

  Sanitizer is an interface to be used in conjunction with `PropertySanitizer`.

  The Sanitizer implementation has the option to provide a different value for each level of `Visibility`.

  For example, if the raw value is an URL, the `PUBLIC` sanitized value may just include the URL path. The `PROTECTED` value may retain the query string, and the `PRIVATE` value may retain the scheme and domain name of the server.

  If a Sanitizer returns `null`, no value will be available for that requested visibility.

  Implementations of this interface must provide a default no-args Constructor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `apply(Visibility visibility, java.lang.Object value)` Applies the custom sanitization to the given value for the given visibility.

- - ### Method Detail

    - #### apply

          java.lang.String apply(Visibility visibility,
                               java.lang.Object value)

      Applies the custom sanitization to the given value for the given visibility.
      Parameters:
        `visibility` - The visibility of the property value.
        `value` - The value to sanitize.
      Returns:
        A sanitized version of the value.

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.